<?php

/**
 *   
 *  Codename: ant-ng - generator of sources.list for Debian and 
 *  distributives, based on Debian
 *  http://alex-w.org.ru/p/antng/
 *
 *  Copyright (c) 2009 Alexander Wolf
 *  Dual licensed under the MIT and GNU LGPL licenses.
 *  http://alex-w.org.ru/p/antng/license
 *
 */

require_once dirname(__FILE__)."/init.php";

$stepID = $secure->checkInt($_GET["step"]);
$distID = $secure->checkInt($_GET["d"]);
$versID = $secure->checkInt($_GET["v"]);

switch($stepID) {
    case '1':
        $result = $core->showDistVersionsList("version", $distID, "json");
        break;
    case '2':
        $result  = "<div class='mrg'>";
        $result .= $core->showBranchesList($versID, "html");
        $result .= "</div><div class='mrg'>";
        $result .= $core->showRepList($versID, 2, "html");
        $result .= "</div><div class='mrg'>";
        $result .= $core->showRepList($versID, 3, "html");
        $result .= "</div>";
        break;
}

print $result;

?>
